package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.mall.domain.ReportIntelligence;
import com.ruoyi.mall.domain.Vo.ReportIntelligenceVo;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 生成 自主选择志愿报告 请求体
 * 
 * @author ruoyi
 * @date 2023-10-28
 */
public class CheckOutReportBo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

//    /** 志愿条目id */
//    private Long itemId;
//
    /** 所属报告id */
    private Long reportId;



    /** 用户id*/
    @NotNull(message = "用户编号不能为空")
    private Long userId;



    /** 批次id */
    @NotNull(message = "批次不能为空")
    private Long batchId;


    /** 志愿数组*/
    private ReportIntelligenceVo[] items;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public ReportIntelligenceVo[] getItems() {
        return items;
    }

    public void setItems(ReportIntelligenceVo[] items) {
        this.items = items;
    }

    public Long getReportId() {
        return reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }
}
